oracle.pgx.api.filter

## Class BinaryGraphFilterOperation

- java.lang.Object
- - oracle.pgx.api.filter.GraphFilter
  - - oracle.pgx.api.filter.BinaryGraphFilterOperation

- Direct Known Subclasses:
    FilterIntersection, FilterUnion

      public abstract class BinaryGraphFilterOperation
      extends GraphFilter

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BinaryGraphFilterOperation` | `asBinaryGraphFilterOperation()` Gets this filter object as binary graph filter operation, if possible.
    `static GraphFilter` | `fromTypeAndFilters(FilterType type, GraphFilter leftFilter, GraphFilter rightFilter)`
    `GraphFilter` | `getLeftFilter()` Gets the filter object representing the left side of the operation.
    `GraphFilter` | `getRightFilter()` Gets the filter object representing the right side of the operation.
    `boolean` | `isBinaryOperation()` Checks if this GraphFilter object represents is binary operation.
    `String` | `toString()`

    - ### Methods inherited from class oracle.pgx.api.filter.GraphFilter

      `asEdgeFilter, asGraphFilterWithExpression, asVertexFilter, getType, hasExpression, intersect, union`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### asBinaryGraphFilterOperation

          public final BinaryGraphFilterOperation asBinaryGraphFilterOperation()

      Description copied from class: `GraphFilter`
      Gets this filter object as binary graph filter operation, if possible. Save to call if `GraphFilter.hasExpression()` evaluates to true.
      Overrides:
        `asBinaryGraphFilterOperation` in class `GraphFilter`
      Returns:
        the binary graph filter operation

    - #### fromTypeAndFilters

          public static GraphFilter fromTypeAndFilters(FilterType type,
                                       GraphFilter leftFilter,
                                       GraphFilter rightFilter)

    - #### getLeftFilter

          public final GraphFilter getLeftFilter()

      Gets the filter object representing the left side of the operation.
      Returns:
        the left filter

    - #### getRightFilter

          public final GraphFilter getRightFilter()

      Gets the filter object representing the right side of the operation.
      Returns:
        the right filter

    - #### isBinaryOperation

          public final boolean isBinaryOperation()

      Description copied from class: `GraphFilter`
      Checks if this GraphFilter object represents is binary operation.
      Overrides:
        `isBinaryOperation` in class `GraphFilter`
      Returns:
        true, if this GraphFilter object represents is binary operation

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015. All rights reserved.